=== kdevplatform/template/CMakeLists.txt ===
add_subdirectory(filters)
add_subdirectory(templates)
