=== debian/changelog ===
kdevelop (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:09:56 +0000

kdevelop (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:16:29 +0000

kdevelop (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)
  * Drop appdata-invalid-artifact.diff
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:24:21 +0000

kdevelop (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:21:27 +0000

kdevelop (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:05:28 +0000

kdevelop (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:16:41 +0000

kdevelop (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Drop upstream patch.
    - upstream_Fix-test_codecompletion-test_duchain-clang-test_prob.patch
  * Refresh appdata-invalid-artifact.diff
  * Rename packages according to the SONAME bumps:
    - kdevelop56-libs -> kdevelop57-libs
  * Update install files.
  * Bump KDEV_PLUGIN_VERSION to 35, according to upstream.
  * Update install files.
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Mon, 22 Nov 2021 12:46:45 +0000

kdevelop (4:5.6.2-5) unstable; urgency=medium

  * Team upload.
  * Drop the transitional kdevplatform-dev, and kdevplatform-l10n, no more
    needed after two Debian stable releases.
  * Bump Standards-Version to 4.6.0, no changes required.
  * CI: disable the blhc job.
  * Update lintian overrides.
  * Refresh patch optional-clang.diff.
  * Remove the KDevelop 5.6.0 AppImage artifact from the AppStream XML, as it
    refers to a platform that seems not supported by AppStream; patch
    appdata-invalid-artifact.diff.
  * Drop the breaks/replaces for versions older than Debian Buster.
  * Remove the explicit as-needed linking, as it is done by binutils now.

 -- Pino Toscano <pino@debian.org>  Sun, 03 Oct 2021 10:17:53 +0200
