## kdevelop 22.08.1

=== debian/changelog ===
kdevelop (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:39:22 +0100

kdevelop (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Bump KDEV_PLUGIN_VERSION to 37, according to upstream.
  * Rename packages according to the SONAME bumps:
    - kdevelop58-libs -> kdevelop59-libs

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 11:16:45 +0100

kdevelop (4:22.04.3-0ubuntu2) kinetic; urgency=medium

  * Update lintian overrides

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 02 Aug 2022 12:34:12 +0100

kdevelop (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:26:48 +0100

kdevelop (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:00:51 +0100

kdevelop (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Rename packages according to the SONAME bumps:
    - kdevelop57-libs -> kdevelop58-libs
  * Bump KDEV_PLUGIN_VERSION to 35, according to upstream.
  * Update lintian overrides.
  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:58:38 +0100
