=== debian/control ===
--- 
+++ 
@@ -46,7 +46,7 @@
                libkf5widgetsaddons-dev (>= 5.50.0~),
                libkf5windowsystem-dev (>= 5.50.0~),
                libkf5xmlgui-dev (>= 5.50.0~),
-               libkomparediff2-dev (>= 4:21.12.3~),
+               libkomparediff2-dev (>= 4:22.08.1~),
                libqt5webkit5-dev (>= 5.7.0),
                libsvn-dev,
                llvm-dev (>= 1:6.0) [!alpha !hppa !ia64 !kfreebsd-any !m68k !sh4 !x32],
@@ -64,7 +64,7 @@
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdevelop
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdevelop
 
-Package: kdevelop57-libs
+Package: kdevelop59-libs
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -77,7 +77,7 @@
 Package: kdevelop
 Architecture: any
 Depends: kdevelop-data (>= ${source:Version}),
-         kdevelop57-libs (= ${binary:Version}),
+         kdevelop59-libs (= ${binary:Version}),
          kinit,
          qml-module-qtquick-controls,
          qml-module-qtquick-layouts,
@@ -126,7 +126,7 @@
 Package: kdevelop-dev
 Section: libdevel
 Architecture: any
-Depends: kdevelop57-libs (= ${binary:Version}),
+Depends: kdevelop59-libs (= ${binary:Version}),
          libgrantlee5-dev,
          libkf5archive-dev (>= 5.50.0~),
          libkf5config-dev (>= 5.50.0~),
