=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/dpkg/architecture.mk
 
 # from the top-level CMakeLists.txt
-export KDEV_PLUGIN_VERSION=35
+export KDEV_PLUGIN_VERSION=37
 
 # The list of architectures (expanded, without wildcards) that do not use clang
 no_clang_args = alpha hppa ia64 kfreebsd-amd64 kfreebsd-i386 m68k sh4 x32
