## kdevelop 22.12.0

=== debian/changelog ===
kdevelop (4:22.12.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Thu, 22 Dec 2022 21:34:26 +0100

kdevelop (4:22.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes required.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update the build dependencies according to the upstream build system:
    - bump shared-mime-info to 1.9
  * Rename packages according to the SONAME bumps:
    - kdevelop58-libs -> kdevelop510-libs
  * Update install files.
  * Bump KDEV_PLUGIN_VERSION to 510, according to upstream.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 17 Dec 2022 16:38:50 +0100

kdevelop (4:22.04.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Fri, 27 May 2022 11:00:28 +0200

kdevelop (4:22.04.1-1) experimental; urgency=medium

  * New upstream release.
  * Update Vcs-* fields.
  * Bump Standards-Version to 4.6.1, no changes required.
  * CI: enable again the blhc job.
  * kdevelop is now part of the KDE release service, so:
    - switch watch file to release-service locations
    - import release-service GPG signing key
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.15.0
    - bump KF packages to 5.78.0
  * Rename packages according to the SONAME bumps:
    - kdevelop56-libs -> kdevelop58-libs
  * Update install files.
  * Bump KDEV_PLUGIN_VERSION to 36, according to upstream.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop the manually specified kf5 addon for dh
  * Update lintian overrides.
  * Update the patches:
    - upstream_Fix-test_codecompletion-test_duchain-clang-test_prob.patch:
      drop, backported from upstream
    - appdata-invalid-artifact.diff: drop, fixed/removed upstream
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.

 -- Pino Toscano <pino@debian.org>  Sun, 22 May 2022 09:43:54 +0200
